/******************
    User custom JS
    ---------------

   Put JS-functions for your template here.
   If possible use a closure, or add them to the general Template Object "Template"
*/


$(document).on('ready pjax:scriptcomplete',function(){
    /**
     * Code included inside this will only run once the page Document Object Model (DOM) is ready for JavaScript code to execute
     * @see https://learn.jquery.com/using-jquery-core/document-ready/
     */
});

/* Get previous month and year
    - lang -> language in which the month name should be returned
    - difMonth -> number of month that should be subtracted to today's date to calculate previous month and year */
function prevMonthYear(lang, difMonth) {
    return moment().locale(lang).subtract(difMonth, 'M').format("MMMM YYYY");
}

/* Get previous month
    - lang -> language in which the month name should be returned
    - difMonth -> number of month that should be subtracted to today's date to calculate previous month */
function getPrevMonth(lang, difMonth) {
    return moment().locale(lang).subtract(difMonth, 'M').format("MMMM");
}

/* Get previous year
    - difYear -> number of years that should be subtracted to today's date to calculate previous year */
function getPrevYear(difYear) {
    return moment().subtract(difYear, 'Y').format("YYYY");
}

function getPrevQuarter(lang) {
    var m = moment().month(),
        answer = "";
    switch (true) {
        case (lang === "fr" && (m === 0 || m === 1 || m === 2)):
            answer = "4ème trimestre " + moment().subtract(1, 'Y').format("YYYY");
            break;
        case (lang === "nl" && (m === 0 || m === 1 || m === 2)):
            answer = "4de kwartaal " + moment().subtract(1, 'Y').format("YYYY");
            break;
        case (lang === "en-US" && (m === 0 || m === 1 || m === 2)):
            answer = "4th quarter " + moment().subtract(1, 'Y').format("YYYY");
            break;
        case (lang === "de" && (m === 0 || m === 1 || m === 2)):
            answer = "4te quartal " + moment().subtract(1, 'Y').format("YYYY");
            break;
        case (lang === "fr" && (m === 3 || m === 4 || m === 5)):
            answer = "1er trimestre " + moment().format("YYYY");
            break;
        case (lang === "nl" && (m === 3 || m === 4 || m === 5)):
            answer = "1te kwartaal " + moment().format("YYYY");
            break;
        case (lang === "en-US" && (m === 3 || m === 4 || m === 5)):
            answer = "1st quarter " + moment().format("YYYY");
            break;
        case (lang === "de" && (m === 3 || m === 4 || m === 5)):
            answer = "1te quartal " + moment().format("YYYY");
            break;
        case (lang === "fr" && (m === 6 || m === 7 || m === 8)):
            answer = "2ème trimestre " + moment().format("YYYY");
            break;
        case (lang === "nl" && (m === 6 || m === 7 || m === 8)):
            answer = "2de kwartaal " + moment().format("YYYY");
            break;
        case (lang === "en-US" && (m === 6 || m === 7 || m === 8)):
            answer = "2nd quarter " + moment().format("YYYY");
            break;
        case (lang === "de" && (m === 6 || m === 7 || m === 8)):
            answer = "2te quartal " + moment().format("YYYY");
            break;
        case (lang === "fr" && (m === 9 || m === 10 || m === 11)):
            answer = "3ème trimestre " + moment().format("YYYY");
            break;
        case (lang === "nl" && (m === 9 || m === 10 || m === 11)):
            answer = "3de kwartaal " + moment().format("YYYY");
            break;
        case (lang === "en-US" && (m === 9 || m === 10 || m === 11)):
            answer = "3rd quarter " + moment().format("YYYY");
            break;
        case (lang === "de" && (m === 9 || m === 10 || m === 11)):
            answer = "3te quartal " + moment().format("YYYY");
            break;
        default:
            return "error";
    }
    return answer;
}

function getLastDayPrevQuarter(lang) {
    var q = Math.floor(moment().month() / 3),
        answer = "";
    switch (true) {
        case ((lang === "fr" || lang == "nl" || lang == "de") && q === 0):
            answer = "31/12/" + moment().subtract(1, 'Y').format("YYYY");
            break;
        case (lang === "en-US" && q === 0):
            answer = "12/31/" + moment().subtract(1, 'Y').format("YYYY");
            break;
        case ((lang === "fr" || lang == "nl" || lang == "de") && q === 1):
            answer = "31/03/" + moment().format("YYYY");
            break;
        case (lang === "en-US" && q === 1):
            answer = "03/31/" + moment().format("YYYY");
            break;
        case ((lang === "fr" || lang == "nl" || lang == "de") && q === 2):
            answer = "30/06/" + moment().format("YYYY");
            break;
        case (lang === "en-US" && q === 2):
            answer = "06/30/" + moment().format("YYYY");
            break;
        case ((lang === "fr" || lang == "nl" || lang == "de") && q === 3):
            answer = "30/09/" + moment().format("YYYY");
            break;
        case (lang === "en-US" && q === 3):
            answer = "09/30/" + moment().format("YYYY");
            break;
        default:
            return "error";
    }
    return answer;
}